diff a/test/hotspot/jtreg/runtime/cds/appcds/aotCode/AOTCodeCompressedOopsTest.java b/test/hotspot/jtreg/runtime/cds/appcds/aotCode/AOTCodeCompressedOopsTest.java
--- a/test/hotspot/jtreg/runtime/cds/appcds/aotCode/AOTCodeCompressedOopsTest.java
+++ b/test/hotspot/jtreg/runtime/cds/appcds/aotCode/AOTCodeCompressedOopsTest.java
@@ -171,27 +171,27 @@
                   *    [0.022s][info][cds] The current max heap size = 31744M, G1HeapRegion::GrainBytes = 16777216
                   *    [0.022s][info][cds]     narrow_klass_base = 0x000007fc00000000, arrow_klass_pointer_bits = 32, narrow_klass_shift = 0
                   *    [0.022s][info][cds]     narrow_oop_mode = 3, narrow_oop_base = 0x0000000300000000, narrow_oop_shift = 3
                   *    [0.022s][info][cds]     heap range = [0x0000000301000000 - 0x0000000ac1000000]
                   */
-                 Pattern p = Pattern.compile("narrow_oop_base = 0x(\\d+), narrow_oop_shift = (\\d)");
+                 Pattern p = Pattern.compile("narrow_oop_base = 0x([0-9a-fA-F]+), narrow_oop_shift = (\\d)");
                  for (int i = 0; i < list.size(); i++) {
                      String line = list.get(i);
                      if (line.indexOf("CDS archive was created with max heap size") != -1) {
                          // Parse AOT Cache CompressedOops settings
                          line = list.get(i+2);
                          Matcher m = p.matcher(line);
                          if (!m.find()) {
-                             throw new RuntimeException("Pattern \"" + p + "\" not found in the output");
+                             throw new RuntimeException("Pattern \"" + p + "\" not found in the output. Got \"" + line + "\"");
                          }
                          aotCacheBase = Long.valueOf(m.group(1), 16);
                          aotCacheShift = Integer.valueOf(m.group(2));
                          // Parse current CompressedOops settings
                          line = list.get(i+5);
                          m = p.matcher(line);
                          if (!m.find()) {
-                             throw new RuntimeException("Pattern \"" + p + "\" not found in the output");
+                             throw new RuntimeException("Pattern \"" + p + "\" not found in the output. Got \"" + line + "\"");
                          }
                          currentBase = Long.valueOf(m.group(1), 16);
                          currentShift = Integer.valueOf(m.group(2));
                          break;
                      }
